FreeBSD : sql-ledger -- multiple vulnerabilities (0679deeb-8eaf-11db-abc9-0003476f14d3)

High Nessus Plugin ID 23950


The remote FreeBSD host is missing a security-related update.


The Debian security Team reports :

Several remote vulnerabilities have been discovered in SQL Ledger, a web-based double-entry accounting program, which may lead to the execution of arbitrary code. The Common Vulnerabilities and Exposures project identifies the following problems :

Chris Travers discovered that the session management can be tricked into hijacking existing sessions.

Chris Travers discovered that directory traversal vulnerabilities can be exploited to execute arbitrary Perl code.

It was discovered that missing input sanitising allows execution of arbitrary Perl code.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 23950

File Name: freebsd_pkg_0679deeb8eaf11dbabc90003476f14d3.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2006/12/30

Modified: 2013/11/06

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:sql-ledger, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2006/12/18

Vulnerability Publication Date: 2006/12/17

Reference Information

CVE: CVE-2006-4244, CVE-2006-4731, CVE-2006-5872

DSA: 1239

CWE: 287